> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Update Journal Entries Status (bulk)

POST https://api.gappify.com/v1/qje/status-batch
Content-Type: application/json

This endpoint supports the ability to update the status of multiple Gappify JE records based on the posting status within the ERP system. The request requires the use of `group_id` as the Gappify record identifier and providing status of the JE (Posted, Failed) along with the appropriate accompanying `je_id` (when successful) OR `error_details` (when unsuccessful). This endpoint supports an array of JE updates.

Reference: https://developers.gappify.com/api-reference/outbound-from-gappify/journal-entries/bulk-update-qje-transactions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Body (application/json)

This endpoint expects a list of QJEGroupIdObject.

- `list of QJEGroupIdObject`

## Response

### 202

Journal entry updated successfully.

- `request_id` (UUID, required) — Unique identifier for the request
- `status` ("IN_PROGRESS", required) — Status of the request

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### QJEGroupIdObject

A QJE item to be updated

- `group_id` (string, required) — Id required to perform status updates on the Gappify JE records. This value is available within the Get Journal Entries endpoint. Leveraging this value will update status details on both the debit/credit pair.
- `success` (boolean, required) — Indicates the status of the JE posting in ERP system: - "Posted" if JE creation is successful - "Failed" if JE creation is unsuccessful or has an error
- `je_id` (string, optional) — Required only if success parameter is set to true. Value of `je_id` is the resulting id of the JE posting in the ERP system. This will create link between Gappify QJE and ERP JE.
- `error_details` (string, optional) — If the JE posting is unsuccessful or has an error, provide the reason which will be available for the users to fix and repost the JE.

## Examples

**Request**

```json
[
  {
    "group_id": "group_id",
    "success": true
  },
  {
    "group_id": "group_id",
    "success": true
  }
]
```

**Response**

```json
{
  "request_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "status": "IN_PROGRESS"
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/qje/status-batch"

payload = [
    {
        "group_id": "group_id",
        "success": True
    },
    {
        "group_id": "group_id",
        "success": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/qje/status-batch';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"group_id":"group_id","success":true},{"group_id":"group_id","success":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/qje/status-batch"

	payload := strings.NewReader("[\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  },\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/qje/status-batch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  },\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.gappify.com/v1/qje/status-batch")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  },\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.gappify.com/v1/qje/status-batch', [
  'body' => '[
  {
    "group_id": "group_id",
    "success": true
  },
  {
    "group_id": "group_id",
    "success": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/qje/status-batch");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  },\n  {\n    \"group_id\": \"group_id\",\n    \"success\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "group_id": "group_id",
    "success": true
  ],
  [
    "group_id": "group_id",
    "success": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/qje/status-batch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```